|  | Home | Documentation | gsoapWinInet.h File Reference updated Thu Jun 4 2020 by Robert van Engelen |

- Main Page
- Classes
- Files

- File List
- File Members

Typedefs | Enumerations | Functions
gsoapWinInet.h File Reference
`#include "stdsoap2.h"`
`#include <wininet.h>`
Include dependency graph for gsoapWinInet.h:
This graph shows which files directly or indirectly include this file:

## Typedefs
typedef wininet_rseReturn(* | wininet_rse_callback) (HINTERNET a_hHttpRequest, DWORD a_dwErrorCode)

## Enumerations
enum | wininet_rseReturn { rseFalse = 0, rseTrue, rseDisplayDlg }

## Functions
void | wininet_set_rse_callback (struct soap *a_pSoap, wininet_rse_callback a_pRseCallback)
int | wininet_plugin (struct soap *a_pSoap, struct soap_plugin *a_pPluginData, void *a_pUnused)

## Typedef Documentation

typedef wininet_rseReturn(* wininet_rse_callback) (HINTERNET a_hHttpRequest, DWORD a_dwErrorCode)

## Enumeration Type Documentation

enum wininet_rseReturn

Enumerator
rseFalse |
rseTrue |
rseDisplayDlg |

## Function Documentation

int wininet_plugin | ( | struct soap * | soap,
|  | struct soap_plugin * | a_pPluginData,
|  | void * | a_dwRequestFlags
| ) |  |

plugin registration

void wininet_set_rse_callback | ( | struct soap * | a_pSoap,
|  | wininet_rse_callback | a_pRseCallback
| ) |  |